Loading...
Searching...
No Matches
GiraraInputHistoryClass Struct Reference

`#include <input-history.h>`

## Data Fields

GObjectClass | parent_class
void(* | append )(GiraraInputHistory *history, const char *input)
girara_list_t *(* | list )(GiraraInputHistory *history)
const char *(* | next )(GiraraInputHistory *history, const char *current_input)
const char *(* | previous )(GiraraInputHistory *history, const char *current_input)
void(* | reset )(GiraraInputHistory *history)
void(* | reserved1 )(void)
void(* | reserved2 )(void)
void(* | reserved3 )(void)
void(* | reserved4 )(void)

## Detailed Description

Definition at line 56 of file input-history.h.

## Field Documentation

## append

void(* GiraraInputHistoryClass::append) (GiraraInputHistory *history, const char *input)

Append a new line of input. If the io property is set, the input will be passed on to girara_input_history_io_append.

Parameters

  history | an input history instance
  input | the input

Definition at line 68 of file input-history.h.

## list

girara_list_t *(* GiraraInputHistoryClass::list) (GiraraInputHistory *history)

Get a list of all the inputs stored.

Parameters

  history | an input history instance

Returns
  a list containing all inputs

Definition at line 76 of file input-history.h.

## next

const char *(* GiraraInputHistoryClass::next) (GiraraInputHistory *history, const char *current_input)

Get the "next" input from the history

Parameters

  history | an input history instance
  current_input | input used to find the "next" input

Returns
  "next" input

Definition at line 85 of file input-history.h.

## parent_class

GObjectClass GiraraInputHistoryClass::parent_class

Definition at line 57 of file input-history.h.

## previous

const char *(* GiraraInputHistoryClass::previous) (GiraraInputHistory *history, const char *current_input)

Get the "previous" input from the history

Parameters

  history | an input history instance
  current_input | input used to find the "next" input

Returns
  "previous" input

Definition at line 94 of file input-history.h.

## reserved1

void(* GiraraInputHistoryClass::reserved1) (void)

Definition at line 106 of file input-history.h.

## reserved2

void(* GiraraInputHistoryClass::reserved2) (void)

Definition at line 107 of file input-history.h.

## reserved3

void(* GiraraInputHistoryClass::reserved3) (void)

Definition at line 108 of file input-history.h.

## reserved4

void(* GiraraInputHistoryClass::reserved4) (void)

Definition at line 109 of file input-history.h.

## reset

void(* GiraraInputHistoryClass::reset) (GiraraInputHistory *history)

Reset state of the input history, i.e reset any information used to determine the next input. If the io property is set, the history will be re-read with girara_input_history_io_read.

Parameters

  history | an input history instance

Definition at line 103 of file input-history.h.

The documentation for this struct was generated from the following file:

- /build/girara-ntlvVR/girara-2026.02.04/girara/input-history.h